Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.red5.server.so
Class SharedObjectEvent

    java.lang.Object
      org.red5.server.so.SharedObjectEvent

All Implemented Interfaces:
  Externalizable, Serializable, ISharedObjectEvent

    public class SharedObjectEvent

extends Object
implements ISharedObjectEvent, Externalizable

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.red5.server.so.ISharedObjectEvent
`ISharedObjectEvent.Type`

Constructor Summary
`SharedObjectEvent()`
`SharedObjectEvent(ISharedObjectEvent.Type type, String key, Object value)`

Method Summary
`String` | `getKey()` Returns the key of the event.
`ISharedObjectEvent.Type` | `getType()` Returns the type of the event.
`Object` | `getValue()` Returns the value of the event.
`void` | `readExternal(ObjectInput in)`
`String` | `toString()`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SharedObjectEvent

    public SharedObjectEvent()

### SharedObjectEvent

    public SharedObjectEvent(ISharedObjectEvent.Type type,
                             String key,
                             Object value)

Parameters:
  `type` - type
  `key` - key
  `value` - value

Method Detail

### getKey

    public String getKey()

  Returns the key of the event. Depending on the type this contains:
  - the attribute name to set for SET_ATTRIBUTE
  - the attribute name to delete for DELETE_ATTRIBUTE
  - the handler name to call for SEND_MESSAGE
  In all other cases the key is `null`.

  Specified by:
    `getKey` in interface `ISharedObjectEvent`
  Returns:
    the key of the event

### getType

    public ISharedObjectEvent.Type getType()

  Returns the type of the event.

  Specified by:
    `getType` in interface `ISharedObjectEvent`
  Returns:
    the type of the event.

### getValue

    public Object getValue()

  Returns the value of the event. Depending on the type this contains:
  - the attribute value to set for SET_ATTRIBUTE
  - a list of parameters to pass to the handler for SEND_MESSAGE
  In all other cases the value is `null`.

  Specified by:
    `getValue` in interface `ISharedObjectEvent`
  Returns:
    the value of the event

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 The Red5 Project